libfuse

Data Fields
fuse_file_info Struct Reference

`#include <fuse_common.h>`

## Data Fields
int | flags
unsigned int | writepage: 1
unsigned int | direct_io: 1
unsigned int | keep_cache: 1
unsigned int | flush: 1
unsigned int | nonseekable: 1
unsigned int | padding: 27
uint64_t | fh
uint64_t | lock_owner
uint32_t | poll_events

## Detailed Description

Information about open files

## Field Documentation

## ◆ direct_io

unsigned int fuse_file_info::direct_io

Can be filled in by open, to use direct I/O on this file.

## ◆ fh

uint64_t fuse_file_info::fh

File handle. May be filled in by filesystem in open(). Available in all other file operations

## ◆ flags

int fuse_file_info::flags

Open flags. Available in open() and release()

## ◆ flush

unsigned int fuse_file_info::flush

Indicates a flush operation. Set in flush operation, also maybe set in highlevel lock operation and lowlevel release operation.

## ◆ keep_cache

unsigned int fuse_file_info::keep_cache

Can be filled in by open, to indicate that currently cached file data (that the filesystem provided the last time the file was open) need not be invalidated.

## ◆ lock_owner

uint64_t fuse_file_info::lock_owner

Lock owner id. Available in locking operations and flush

## ◆ nonseekable

unsigned int fuse_file_info::nonseekable

Can be filled in by open, to indicate that the file is not seekable.

## ◆ padding

unsigned int fuse_file_info::padding

Padding. Do not use

## ◆ poll_events

uint32_t fuse_file_info::poll_events

Requested poll events. Available in ->poll. Only set on kernels which support it. If unsupported, this field is set to zero.

## ◆ writepage

unsigned int fuse_file_info::writepage

In case of a write operation indicates if this was caused by a writepage

The documentation for this struct was generated from the following file:

- include/fuse_common.h